Gecode::Set::Branch::MeritDegreeSize Class Reference
Other available functionality » Merit-based set view selection for branchers

Merit class for degree over size. More...

`#include <branch.hh>`

## Public Member Functions

| MeritDegreeSize (Space &home, const VarBranch< Var > &vb)
| Constructor for initialization.
| MeritDegreeSize (Space &home, MeritDegreeSize &m)
| Constructor for cloning.
double | operator() (const Space &home, SetView x, int i)
| Return degree over size as merit for view x at position i.
Public Member Functions inherited from Gecode::MeritBase< SetView, double >
| MeritBase (Space &home, const VarBranch< Var > &vb)
| Constructor for initialization.
bool | notice (void) const
| Whether dispose must always be called (that is, notice is needed).
void | dispose (Space &home)
| Delete view merit class.

## Additional Inherited Members

Public Types inherited from Gecode::MeritBase< SetView, double >
typedef SetView | View
| View type.
typedef View::VarType | Var
| Corresponding variable type.
typedef double | Val
| Type of merit.

## Detailed Description

Merit class for degree over size.

Requires

#include <gecode/set/branch.hh>
branch.hh

Definition at line 118 of file branch.hh.

## Constructor & Destructor Documentation

## MeritDegreeSize() [1/2]

Gecode::Set::Branch::MeritDegreeSize::MeritDegreeSize | ( | Space & | home,
|  | const VarBranch< Var > & | vb )

inline

Constructor for initialization.

Definition at line 84 of file merit.hpp.

## MeritDegreeSize() [2/2]

Gecode::Set::Branch::MeritDegreeSize::MeritDegreeSize | ( | Space & | home,
|  | MeritDegreeSize & | m )

inline

Constructor for cloning.

Definition at line 87 of file merit.hpp.

## Member Function Documentation

## operator()()

double Gecode::Set::Branch::MeritDegreeSize::operator() | ( | const Space & | home,
|  | SetView | x,
|  | int | i )

inline

Return degree over size as merit for view x at position i.

Definition at line 90 of file merit.hpp.

The documentation for this class was generated from the following files:

- gecode/set/branch.hh
- gecode/set/branch/merit.hpp